:host {
  width: 100%;
  display: block;
  background: #ffffff;
  border: 1px solid #e5e5e5;
  border-radius: 15px;
  display: flex;
  padding: 30px 40px;
  z-index: 3;
  position: relative;
}

.photo {
  width: 400px;
  height: 300px;

  img {
    width: 400px;
    height: 300px;
    border-radius: 10px;
  }
}

.description {
  margin-left: 70px;
  margin-right: 50px;

  .address {
    border-bottom: 1px solid #c4c4c4;
    width: 100%;
    margin-bottom: 20px;
    display: flex;
    align-items: center;
    padding-bottom: 8px;

    .location-icon {
      color: #2e3f6e;
      position: relative;
      right: 8px;
      bottom: 2px;
    }

    .address-text {
      font-weight: 300;
      font-size: 12px;
      line-height: 15px;
      color: #767676;
    }
  }

  .title {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 10px;
  }

  .summary {
    font-weight: 600;
    font-size: 22px;
    color: #005e8b;
  }

  .rating-result {
    width: 265px;
    margin-left: 20px;
  }
  .rating-result span {
    padding: 0;
    font-size: 24px;
    margin: 0 3px;
    line-height: 1;
    color: lightgrey;
    text-shadow: 1px 1px #bbb;
  }
  .rating-result > span:before {
    content: "★";
  }
  .rating-result > span.active {
    color: gold;
    text-shadow: 1px 1px #c60;
  }

  .description-text {
    font-weight: 300;
    font-size: 15px;
    line-height: 18px;
    color: #5c5c5c;
  }
}

.favorite {
  position: absolute;
  bottom: 30px;
  right: 30px;
  background: #ffffff;
  color: #007eba;
  border: 2px solid #007eba;
  border-radius: 10px;
  padding: 14px 14px 12px 14px;

  &:hover {
    background: #007fba46;
  }

  &.active {
    background: #007eba;
    color: #ffffff;
  }
}
